## gst-plugins-bad0.10-musepack 0.10.13-git209-0maemo16%2b0m5

=== ext/lv2/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# ext/lv2/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = $(libgstlv2_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/gst-plugins-bad
pkglibdir = $(libdir)/gst-plugins-bad
pkgincludedir = $(includedir)/gst-plugins-bad
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
subdir = ext/lv2
DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
	$(top_srcdir)/common/m4/as-auto-alt.m4 \
	$(top_srcdir)/common/m4/as-compiler-flag.m4 \
	$(top_srcdir)/common/m4/as-objc.m4 \
	$(top_srcdir)/common/m4/as-python.m4 \
	$(top_srcdir)/common/m4/as-scrub-include.m4 \
	$(top_srcdir)/common/m4/as-version.m4 \
	$(top_srcdir)/common/m4/ax_create_stdint_h.m4 \
	$(top_srcdir)/common/m4/gst-arch.m4 \
	$(top_srcdir)/common/m4/gst-args.m4 \
	$(top_srcdir)/common/m4/gst-check.m4 \
	$(top_srcdir)/common/m4/gst-dowhile.m4 \
	$(top_srcdir)/common/m4/gst-error.m4 \
	$(top_srcdir)/common/m4/gst-feature.m4 \
	$(top_srcdir)/common/m4/gst-gettext.m4 \
	$(top_srcdir)/common/m4/gst-glib2.m4 \
	$(top_srcdir)/common/m4/gst-plugin-docs.m4 \
	$(top_srcdir)/common/m4/gst-plugindir.m4 \
	$(top_srcdir)/common/m4/gst-x11.m4 \
	$(top_srcdir)/common/m4/gst.m4 \
	$(top_srcdir)/common/m4/gtk-doc.m4 \
	$(top_srcdir)/common/m4/pkg.m4 \
	$(top_srcdir)/common/m4/shave.m4 $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/gst-alsa.m4 $(top_srcdir)/m4/gst-fionread.m4 \
	$(top_srcdir)/m4/gst-sdl.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(plugindir)"
pluginLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(plugin_LTLIBRARIES)
am__DEPENDENCIES_1 =
libgstlv2_la_DEPENDENCIES = $(top_builddir)/gst-libs/gst/signalprocessor/libgstsignalprocessor.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_libgstlv2_la_OBJECTS = libgstlv2_la-gstlv2.lo
libgstlv2_la_OBJECTS = $(am_libgstlv2_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = ./$(DEPDIR)/libgstlv2_la-gstlv2.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libgstlv2_la_SOURCES)
DIST_SOURCES = $(libgstlv2_la_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run aclocal-1.8
ACLOCAL_AMFLAGS = -I m4 -I common/m4
ACMENC_CFLAGS = 
ACMMP3DEC_CFLAGS = 
ALSA_CFLAGS = 
ALSA_LIBS = 
AMDEP_FALSE = 
AMDEP_TRUE = #
AMRWB_LIBS = 
AMTAR = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run tar
AM_MAKEFLAGS = 
APEXSINK_CFLAGS = 
APEXSINK_LIBS = 
AR = ar
AS = as
ASSRENDER_CFLAGS = 
ASSRENDER_LIBS = 
AUTOCONF = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run automake-1.8
AWK = gawk
BUILD_EXAMPLES_FALSE = 
BUILD_EXAMPLES_TRUE = #
BUILD_EXPERIMENTAL_FALSE = #
BUILD_EXPERIMENTAL_TRUE = 
BUILD_EXTERNAL_FALSE = #
BUILD_EXTERNAL_TRUE = 
BZ2_LIBS = 
CC = cc
CCASFLAGS = 
CCDEPMODE = depmode=none
CDAUDIO_CFLAGS = 
CDAUDIO_CONFIG = 
CDAUDIO_LIBS = 
CELT_CFLAGS = 
CELT_LIBS = 
CFLAGS = -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1 -O2
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DCCP_LIBS =  -lpthread
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPRECATED_CFLAGS = -DGST_DISABLE_DEPRECATED
DIRAC_CFLAGS = 
DIRAC_LIBS = 
DIRECTDRAW_CFLAGS = 
DIRECTDRAW_LDFLAGS = 
DIRECTDRAW_LIBS = 
DIRECTFB_CFLAGS = 
DIRECTFB_LIBS = 
DIVXDEC_LIBS = 
DIVXENC_LIBS = 
DLLTOOL = dlltool
DSYMUTIL = 
DTS_LIBS = 
DVDNAV_CFLAGS = 
DVDNAV_CONFIG = 
DVDNAV_LIBS = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ENABLE_GTK_DOC_FALSE = 
ENABLE_GTK_DOC_TRUE = #
ENABLE_PLUGIN_DOCS_FALSE = 
ENABLE_PLUGIN_DOCS_TRUE = #
ERROR_CFLAGS = -Wall -Wdeclaration-after-statement -Wpointer-arith -Werror
ERROR_CXXFLAGS = -Wall -Werror -Wno-non-virtual-dtor
EXEEXT = 
EXIF_CFLAGS = 
EXIF_LIBS = 
F77 = 
FAAC_LIBS = 
FAAD_IS_NEAAC = 
FAAD_LIBS = 
FC = 
FFLAGS = 
GCOV = 
GCOV_CFLAGS = 
GCOV_LIBS = 
GETTEXT_PACKAGE = gst-plugins-bad-0.10
GIO_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GLADE_CFLAGS = -DMAEMO_CHANGES -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GLADE_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GLIB_LIBS = -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lgmodule-2.0 -lglib-2.0  
GLIB_PREFIX = /usr
GLIB_REQ = 2.6
GMSGFMT = /scratchbox/tools/bin/msgfmt
GMYTH_CFLAGS = 
GMYTH_LIBS = 
GREP = /scratchbox/tools/bin/grep
GSM_LIBS = 
GSTPB_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GSTPB_PREFIX = /usr
GST_ALL_LDFLAGS = -no-undefined
GST_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_BASE_LIBS = -pthread -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   $(GST_OPTION_CFLAGS)
GST_CHECK_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_CHECK_LIBS = -pthread -lgstcheck-0.10 -lcheck_pic -lm -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CONTROLLER_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_CONTROLLER_LIBS = -pthread -lgstcontroller-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CXXFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs  $(GST_OPTION_CXXFLAGS)
GST_GCOV_ENABLED_FALSE = 
GST_GCOV_ENABLED_TRUE = #
GST_GDP_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_GDP_LIBS = -pthread -lgstdataprotocol-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_LEVEL_DEFAULT = GST_LEVEL_ERROR
GST_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_LICENSE = LGPL
GST_MAJORMINOR = 0.10
GST_OPTION_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
GST_OPTION_CXXFLAGS = $(ERROR_CXXFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
GST_PACKAGE_NAME = GStreamer MusePack Plugin (Maemo)
GST_PACKAGE_ORIGIN = http://maemo.org
GST_PLUGINS_ALL =  aacparse adpcmdec aiffparse amrparse autoconvert camerabin legacyresample bayer cdxaparse dccp debugutils dtmf dvdspu festival freeze frei0r h264parse hdvparse id3tag librfb liveadder mpegdemux mpegtsmux mpeg4videoparse mpegvideoparse mve mxf nsf nuvdemux pcapparse qtmux rawparse real rtpmanager rtpmux scaletempo sdp selector shapewipe siren speed subenc stereo tta valve videosignal vmnc xdgmime
GST_PLUGINS_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_PLUGINS_BASE_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GST_PLUGINS_SELECTED =                                                                                                   
GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_desc$$' -no-undefined
GST_PREFIX = /usr
GST_TOOLS_DIR = /usr/bin
GTKDOC_CHECK = /usr/bin/gtkdoc-check
GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_DOC_USE_LIBTOOL_FALSE = #
GTK_DOC_USE_LIBTOOL_TRUE = 
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HAVE_AMRWB = 
HAVE_BZ2 = 
HAVE_CPU_ALPHA_FALSE = 
HAVE_CPU_ALPHA_TRUE = #
HAVE_CPU_ARM_FALSE = #
HAVE_CPU_ARM_TRUE = 
HAVE_CPU_CRISV32_FALSE = 
HAVE_CPU_CRISV32_TRUE = #
HAVE_CPU_CRIS_FALSE = 
HAVE_CPU_CRIS_TRUE = #
HAVE_CPU_HPPA_FALSE = 
HAVE_CPU_HPPA_TRUE = #
HAVE_CPU_I386_FALSE = 
HAVE_CPU_I386_TRUE = #
HAVE_CPU_IA64_FALSE = 
HAVE_CPU_IA64_TRUE = #
HAVE_CPU_M68K_FALSE = 
HAVE_CPU_M68K_TRUE = #
HAVE_CPU_MIPS_FALSE = 
HAVE_CPU_MIPS_TRUE = #
HAVE_CPU_PPC64_FALSE = 
HAVE_CPU_PPC64_TRUE = #
HAVE_CPU_PPC_FALSE = 
HAVE_CPU_PPC_TRUE = #
HAVE_CPU_S390_FALSE = 
HAVE_CPU_S390_TRUE = #
HAVE_CPU_SPARC_FALSE = 
HAVE_CPU_SPARC_TRUE = #
HAVE_CPU_X86_64_FALSE = 
HAVE_CPU_X86_64_TRUE = #
HAVE_CXX = yes
HAVE_DIRECTDRAW = 
HAVE_DTS = 
HAVE_FAAC = 
HAVE_FAAD = 
HAVE_GIO_FALSE = #
HAVE_GIO_TRUE = 
HAVE_GLADE = yes
HAVE_GLADE_FALSE = #
HAVE_GLADE_TRUE = 
HAVE_GSM = 
HAVE_GST_CHECK_FALSE = #
HAVE_GST_CHECK_TRUE = 
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
HAVE_JP2K = 
HAVE_NAS = 
HAVE_PTHREAD_H_FALSE = #
HAVE_PTHREAD_H_TRUE = 
HAVE_UNISTD_H_FALSE = #
HAVE_UNISTD_H_TRUE = 
HAVE_VALGRIND_FALSE = 
HAVE_VALGRIND_TRUE = #
HAVE_WINSOCK2_H_FALSE = 
HAVE_WINSOCK2_H_TRUE = #
HAVE_X = 
HAVE_X11 = yes
HAVE_X11_FALSE = #
HAVE_X11_TRUE = 
HTML_DIR = ${datadir}/gtk-doc/html

=== debian/changelog ===
gst-plugins-bad0.10-musepack (0.10.13-git209-0maemo16+0m5) unstable; urgency=low

  * Initial release, all plugins disabled, apart from musepack

 -- Tomasz Dominikowski <dominikowski@gmail.com>  Mon,  4 Jan 2010 16:25:05 +0100

gst-plugins-bad0.10 (0.10.13-git209-0maemo16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Tue, 22 Sep 2009 13:09:29 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo16) unstable; urgency=low

  * camerabin: Fix image queue parameter setting.
  * Fixes: NB#138321 - camerabin sets non-64bit parameters with
    G_GUINT64_CONSTANT (0) macro

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 18 Sep 2009 14:59:12 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo15) unstable; urgency=low

  * rtpmanager: Fix locking for clock_rate variable, preventing a crash.
  * Fixes: NB#136430 - Telepathy stream engine crash after starting the
    device and initiating gtalk VoIP call

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 07 Sep 2009 17:26:07 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo14) unstable; urgency=low

  * Fixes: NB#131371 - User cannot change geotags

 -- Tommi Myöhänen <ext-tommi.1.myohanen@nokia.com>  Wed, 02 Sep 2009 15:56:18 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo13) unstable; urgency=low

  * Fixes: NB#126125 - Image in viewfinder is applied with previously set
    white balance value if Camera is closed and opened in a certain scenario
  * Partially fixes bug 135318
  * Fixes: NB#108662 - When selecting the camera modes, it takes too long to 
    switch
  * Fixes: NB#112456 - Live feeding of images stopped in pre-recording view
  * Fix that helps with deadlock in NB#135135

 -- Lasse Laukkanen <ext-lasse.2.laukkanen@nokia.com>  Thu, 27 Aug 2009 15:24:51 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo12) unstable; urgency=low

  * Partial fixes for: NB#125539 - Fuzzy test files cause GStreamer crashes
  * aacparse, amrparse: Prevent endless loop with broken files, fix memory
    leak.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 21 Aug 2009 17:31:59 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo11) unstable; urgency=low

  * camerabin: Fixes for setting parameters in the NULL state.
  * Fixes: NB#116677 - Error when setting the configuration to the
    camerabin while in NULL state
  * Fixes: NB#133642 - Setting capture resolution to camerabin while in
    NULL state is not working

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 21 Aug 2009 17:14:41 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo10) unstable; urgency=low

  * camerabin: don't use queue in videobin
  * camerabin: set viewfinder queue in videobin to leaky=1
  * camerabin: fix a g_object_get warning
  * Fixes: NB#126989 - Performance is not good enough with viewfinder

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 18 Aug 2009 21:12:48 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo9) unstable; urgency=low

  * camerabin: Fix memory leak of preview image buffer.
  * All these changes are partial fixes to NB#121600:
  * outputselector: forward pad_alloc to correct output pad
  * camerabin: re-set active-pad in outputselector after READY state
  * camerabin: use READY state instead of PAUSED for acquiring supported
    resolutions from video source element.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 03 Aug 2009 16:50:52 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo8) unstable; urgency=low

  * camerabin: Revert memory leak fix to make integration happen. Camera
    UI currently relies on this to leak. Fixes preview image distortion
    seen in UI.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 03 Aug 2009 15:00:17 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo7) unstable; urgency=low

  * Use -O2 optimization flag in release mode. Fixes: NB#129635

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 30 Jul 2009 10:56:57 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo6) unstable; urgency=low

  * camerabin: don't go thru READY wehn starting recording to avoid dark
    frames
  * camerabin: improve probe handling
  * camerabin: relax photo iface dependency on camera state 
  * Fixes: NB#112467 - viewfinder of recording view is dark for ~2 sec

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 28 Jul 2009 16:55:30 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo5) unstable; urgency=low

  * camerabin: disable audio conversion in videorecording path
  * Fixes: NB#110033 - wrong audio format used in camera recordings (32bit
    float)

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 23 Jul 2009 11:42:48 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo4) unstable; urgency=low

  * camerabin: speed-up zoom operation
  * coverity warning fixes
  * Fixes: NB#122209 - zoom preview should not left-crop an odd number of
    pixels

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 21 Jul 2009 18:11:57 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo3) unstable; urgency=low

  * metadatamux: reset state to write new metadata to new images
  * camerabin: handle reseting snapshot-caps
  * Fixes: NB#122728 - MakerNote's content is not correct

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 17 Jul 2009 16:06:17 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo2) unstable; urgency=low

  * camerabin: leave image/video bin to ready when changing mode
  * camerabin: use nonbuffered io to save memcopies
  * Fixes: NB#108662 - "When selecting the camera modes, it takes too long to
    switch

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 16 Jul 2009 10:55:20 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo1) unstable; urgency=low

  * Update to v0.10.13-209-g8085696.
  * camerabin: Fix memory leaks.
  * rtpmanager: Many improvements.
  * aacparse: Forward stream properties to speed up fast tagreading.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 03 Jul 2009 18:45:51 +0300

gst-plugins-bad0.10 (0.10.11-git188-0maemo10) unstable; urgency=low



=== debian/control ===
Source: gst-plugins-bad0.10-musepack
Section: libs
Priority: extra
Maintainer: Tomasz Dominikowski <dominikowski@gmail.com>
XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Build-Depends: libgstreamer0.10-dev (>= 0.10.20-3),  libasound2-dev (>= 0.9.1), libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), autotools-dev, cdbs (>= 0.4.32), debhelper (>= 5), pkg-config (>= 0.11.0), gtk-doc-tools, liboil0.3-dev (>= 0.3.8), libbz2-dev, libsdl1.2-dev, libgtk2.0-dev (>= 2.2.0), libsndfile1-dev (>= 1.0.16), lsb-release, libglade2-dev (>= 2.6.0), libexif-dev (>= 0.6.16), libexempi-dev, libiptcdata0-dev (>= 1.0.2), libwildmidi-dev, libmpcdec-dev, gstreamer0.10-plugins-base
Standards-Version: 3.8.0

Package: gstreamer0.10-musepack
Architecture: any
Section: libs
Depends: ${misc:Depends}, libmpcdec3,
         ${shlibs:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: Musepack gst plugin from the bad set
 This package provides musepack decoder element.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DESTDIR=$(CURDIR)/debian/tmp

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
#CFLAGS += -Wno-error
#CXXFLAGS += -Wno-error
#DEB_MAKE_CHECK_TARGET = check || true

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=0
gst_minor=10
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.20-3)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =
gst_extra_build_depends += libasound2-dev (>= 0.9.1)

# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand
# 
# EXTRA_PLUGINS: See debian/README.Debian for docs
EXTRA_PLUGINS +=

PLUGINS += sdl plugins-bad-extra plugins-bad $(EXTRA_PLUGINS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-bad-doc.install \
	plugins-bad-dev.install

#debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-bad-dbg

# enable the real and spc plugin on x86
ifeq ($(DEB_HOST_ARCH_CPU), i386)
real = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstreal.so
ifeq ($(DEB_HOST_ARCH_OS),linux)
spc = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstspc.so
endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
alsa_spdif = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstalsaspdif.so
dvb = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdvb.so
fbdev = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstfbdevsink.so
vcd = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvcdsrc.so
cdaudio = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstcdaudio.so
dc1394 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdc1394.so
endif

# Let's decide the package name and url depending on the distribution
DISTRO = "Maemo"

GST_PACKAGE_NAME := "GStreamer MusePack Plugin (Maemo)"
GST_PACKAGE_ORIGIN="http://maemo.org"

# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		cat debian/gstreamer-$$p.install | \
			sed 's,@real@,$(real),g' | \
			sed 's,@alsa_spdif@,$(alsa_spdif),g' | \
			sed 's,@dvb@,$(dvb),g' | \
			sed 's,@fbdev@,$(fbdev),g' | \
			sed 's,@vcd@,$(vcd),g' | \
			sed 's,@spc@,$(spc),g' | \
			sed 's,@dc1394@,$(dc1394),g' | \
			sed 's,@cdaudio@,$(cdaudio),g' | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		cat debian/gstreamer-$$f | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$f; \
	done

maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@
	for plugin in $(EXTRA_PLUGINS) ; do \
		debian/extra deps $$plugin >> $@; \
	done

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | \
		sed 's/@GST_VERSION@/$(gst_version)/g' | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB@/$(gst_lib)/g' | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
		sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g"> $@

	for plugin in $(EXTRA_PLUGINS) ; do \
		debian/extra control $$plugin | \
			sed 's/@GST_ABI@/$(gst_abi)/g' | \
			sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
			sed 's/@GST_LIB@/$(gst_lib)/g' | \
			sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
			sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
			sed 's/@GST_PLUGINS_LIB@/$(gst_plugins_lib)/g' | \
			sed 's/@GST_PLUGINS_LIB_DEV@/$(gst_plugins_lib_dev)/g' | \
			sed 's/@GST_PLUGINS_LIB_DEV_DEP@/$(gst_plugins_lib_dev_dep)/g' | \
			sed 's/@GST_GCONF_LIB@/$(gst_gconf_lib)/g' | \
			sed 's/@GST_GCONF_LIB_DEV@/$(gst_gconf_lib_dev)/g' | \
			sed 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' >> $@; \
	done

debian/stamp-autogen:
	./autogen.sh --noconfigure
	touch $@

post-patches:: debian/stamp-autogen

DEB_CONFIGURE_EXTRA_FLAGS += \
	--disable-shave \
	--disable-examples \
	--enable-debug \
	--disable-deinterlace2 \
	--enable-experimental \
	--disable-gtk-doc \
	--disable-aacparse \
	--disable-adpcmdec \
	--disable-aiffparse \
	--disable-amrparse \
	--disable-autoconvert \
	--disable-camerabin \
	--disable-legacyresample \
	--disable-bayer \
	--disable-cdxaparse \
	--disable-dccp \
	--disable-debugutils \
	--disable-dtmf \
	--disable-dvdspu \
	--disable-festival \
	--disable-freeze \
	--disable-frei0r \
	--disable-h264parse \
	--disable-hdvparse \
	--disable-id3tag \
	--disable-librfb \
	--disable-liveadder \
	--disable-mpegdemux \
	--disable-mpegtsmux \
	--disable-mpeg4videoparse \
	--disable-mpegvideoparse \
	--disable-mve \
	--disable-mxf \
	--disable-nsf \
	--disable-nuvdemux \
	--disable-pcapparse  \
	--disable-qtmux \
	--disable-rawparse \
	--disable-real \
	--disable-rtpmanager \
	--disable-rtpmux \
	--disable-scaletempo \
	--disable-sdp \
	--disable-selector \
	--disable-shapewipe \
	--disable-siren \
	--disable-speed \
	--disable-subenc \
	--disable-stereo \
	--disable-tta \
	--disable-valve \
	--disable-videosignal \
	--disable-vmnc \
	--disable-xdgmime \
	--disable-directdraw \
	--disable-osx_video \
	--disable-quicktime \
	--disable-vcd \
	--disable-alsa \
	--disable-assrender \
	--disable-amrwb \
	--disable-apexsink \
	--disable-bz2 \
	--disable-cdaudio \
	--disable-celt \
	--disable-dc1394 \
	--disable-directfb \
	--disable-dirac \
	--disable-dts \
	--disable-divx \
	--disable-dvdnav \
	--disable-metadata \
	--disable-faac \
	--disable-faad \
	--disable-fbdev \
	--disable-gsm \
	--disable-ivorbis \
	--disable-jack \
	--disable-jp2k \
	--disable-ladspa \
	--disable-lv2 \
	--disable-libmms \
	--disable-modplug \
	--disable-mimic \
	--disable-mpeg2enc \
	--disable-mplex \
	--disable-musicbrainz \
	--disable-mythtv \
	--disable-nas \
	--disable-neon \
	--disable-ofa \
	--disable-timidity \
	--disable-wildmidi \
	--disable-sdl \
	--disable-sdltest \
	--disable-sndfile \
	--disable-soundtouch \
	--disable-spc \
	--disable-swfdec \
	--disable-theoradec \
	--disable-xvid \
	--disable-dvb  \
	--disable-oss4 \
	--disable-wininet \
	--disable-acm \
	--disable-vdpau \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
    DEB_CONFIGURE_EXTRA_FLAGS += \
       CFLAGS="-DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1 -O2"
endif

common-binary-fixup-arch::
	# crash on qemu! dh_gstscancodecs

clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

UPSTREAM_REF=master
PATCHES_REF=maemo-patches

update-patch-series:
	mkdir -p $(CURDIR)/debian/patches

## gst-plugins-bad0.10-musepack 0.10.19-maemo2

=== ext/lv2/Makefile ===
--- 
+++ 
@@ -103,7 +103,7 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run aclocal-1.8
+ACLOCAL = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run aclocal-1.8
 ACLOCAL_AMFLAGS = -I m4 -I common/m4
 ACMENC_CFLAGS = 
 ACMMP3DEC_CFLAGS = 
@@ -112,7 +112,7 @@
 AMDEP_FALSE = 
 AMDEP_TRUE = #
 AMRWB_LIBS = 
-AMTAR = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run tar
+AMTAR = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run tar
 AM_MAKEFLAGS = 
 APEXSINK_CFLAGS = 
 APEXSINK_LIBS = 
@@ -120,9 +120,9 @@
 AS = as
 ASSRENDER_CFLAGS = 
 ASSRENDER_LIBS = 
-AUTOCONF = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run automake-1.8
+AUTOCONF = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run automake-1.8
 AWK = gawk
 BUILD_EXAMPLES_FALSE = 
 BUILD_EXAMPLES_TRUE = #
@@ -139,7 +139,7 @@
 CDAUDIO_LIBS = 
 CELT_CFLAGS = 
 CELT_LIBS = 
-CFLAGS = -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1 -O2
+CFLAGS = -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
 CPP = cc -E
 CPPFLAGS = 
 CXX = g++
@@ -164,7 +164,7 @@
 DSYMUTIL = 
 DTS_LIBS = 
 DVDNAV_CFLAGS = 
-DVDNAV_CONFIG = 
+DVDNAV_CONFIG = no
 DVDNAV_LIBS = 
 ECHO = echo
 ECHO_C = 
@@ -189,7 +189,7 @@
 GCOV = 
 GCOV_CFLAGS = 
 GCOV_LIBS = 
-GETTEXT_PACKAGE = gst-plugins-bad-0.10
+GETTEXT_PACKAGE = NULL
 GIO_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 GLADE_CFLAGS = -DMAEMO_CHANGES -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
@@ -210,7 +210,7 @@
 GST_BASE_LIBS = -pthread -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_CFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   $(GST_OPTION_CFLAGS)
 GST_CHECK_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
-GST_CHECK_LIBS = -pthread -lgstcheck-0.10 -lcheck_pic -lm -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
+GST_CHECK_LIBS = -pthread -lgstcheck-0.10 -lm -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_CONTROLLER_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
 GST_CONTROLLER_LIBS = -pthread -lgstcontroller-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_CXXFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs  $(GST_OPTION_CXXFLAGS)
@@ -224,17 +224,17 @@
 GST_MAJORMINOR = 0.10
 GST_OPTION_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
 GST_OPTION_CXXFLAGS = $(ERROR_CXXFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
-GST_PACKAGE_NAME = GStreamer MusePack Plugin (Maemo)
+GST_PACKAGE_NAME = GStreamer VP8 Plugins (Maemo)
 GST_PACKAGE_ORIGIN = http://maemo.org
 GST_PLUGINS_ALL =  aacparse adpcmdec aiffparse amrparse autoconvert camerabin legacyresample bayer cdxaparse dccp debugutils dtmf dvdspu festival freeze frei0r h264parse hdvparse id3tag librfb liveadder mpegdemux mpegtsmux mpeg4videoparse mpegvideoparse mve mxf nsf nuvdemux pcapparse qtmux rawparse real rtpmanager rtpmux scaletempo sdp selector shapewipe siren speed subenc stereo tta valve videosignal vmnc xdgmime
 GST_PLUGINS_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
 GST_PLUGINS_BASE_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_PLUGINS_DIR = /usr/lib/gstreamer-0.10
-GST_PLUGINS_SELECTED =                                                                                                   
+GST_PLUGINS_SELECTED =                                              aacparse  aiffparse amrparse                                   shapewipe         xdgmime 
 GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_desc$$' -no-undefined
 GST_PREFIX = /usr
 GST_TOOLS_DIR = /usr/bin
-GTKDOC_CHECK = /usr/bin/gtkdoc-check
+GTKDOC_CHECK = 
 GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 GTK_DOC_USE_LIBTOOL_FALSE = #
 GTK_DOC_USE_LIBTOOL_TRUE = 
@@ -299,3 +299,6 @@
 HAVE_X11_FALSE = #
 HAVE_X11_TRUE = 
 HTML_DIR = ${datadir}/gtk-doc/html
+INSTALL_DATA = ${INSTALL} -m 644
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_SCRIPT = ${INSTALL}

=== debian/changelog ===
gst-plugins-bad0.10-musepack (0.10.19-maemo2) unstable; urgency=low

  * Bump due to previous failure to build

 -- Zaheer Abbas Merali <zaheermerali@gmail.com>  Fri,  4 Jun 2010 08:32:00 +0100

gst-plugins-bad0.10-musepack (0.10.19-maemo1) unstable; urgency=low

  * Updated to newest release

 -- Tomasz <dominikowski@gmail.com>  Thu, 03 Jun 2010 20:56:28 +0200

=== debian/control ===
Source: gst-plugins-bad0.10-musepack
Section: libs
Priority: extra
Maintainer: Tomasz Dominikowski <dominikowski@gmail.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.21), , libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), cdbs (>= 0.4.20), debhelper (>= 5), pkg-config (>= 0.11.0), liboil0.3-dev (>= 0.3.8), libmpcdec-dev, gstreamer0.10-plugins-base
Standards-Version: 3.8.0

Package: gstreamer0.10-musepack
Architecture: any
Section: libs
Depends: ${misc:Depends}, libmpcdec3,
         ${shlibs:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
Provides: ${gstreamer:Provides}
Description: Musepack gst plugin from the bad set
 This package provides musepack decoder element.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk


DEB_DESTDIR=$(CURDIR)/debian/tmp

LDFLAGS += -Wl,-O1 -Wl,--as-needed

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=0
gst_minor=10
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.21)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

# debug package
#DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-good-dbg

# disable all CPU specific optimizations in commands launched by this Makefile
# using liboil; this is to work around liboil related build failures which
# are not specially interesting to catch on buildds as these might run very
# specific hardware
OIL_CPU_FLAGS=0
export OIL_CPU_FLAGS
export echo=echo
# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand

PLUGINS += plugins-good plugins-good-extra
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-good-doc.install \

ifeq ($(DEB_HOST_ARCH_OS),linux)
1394 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgst1394.so
video4linux2 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvideo4linux2.so
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = alsasrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = v4l2src
DEFAULT_VISUALIZER = goom
else
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = osssrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = videotestsrc
DEFAULT_VISUALIZER = goom
endif

# Let's decide the package name and url depending on the distribution
DISTRO = "Maemo"

GST_PACKAGE_NAME := "GStreamer VP8 Plugins (Maemo)"
GST_PACKAGE_ORIGIN="http://maemo.org"

# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		cat debian/gstreamer-$$p.install | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			| sed "s,@1394@,$(1394),g" \
			| sed "s,@video4linux2@,$(video4linux2),g" \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		cat debian/gstreamer-$$f | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$f; \
	done

maint: debian/control

debian/stamp-autogen:
	touch $@

post-patches:: debian/stamp-autogen

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | \
		sed 's/@GST_VERSION@/$(gst_version)/g' | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB@/$(gst_lib)/g' | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
		sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g" | \
		sed "s/@linux@/`type-handling any linux-gnu`/g"> $@

DEB_CONFIGURE_EXTRA_FLAGS += \
	--disable-shave \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--disable-nls \
	--disable-adpcmdec \
	--disable-adpcmenc \
	--disable-aiff \
	--disable-asfmux \
	--disable-audioparsers \
	--disable-autoconvert \
	--disable-camerabin \
	--disable-legacyresample \
	--disable-bayer \
	--disable-cdxaparse \
	--disable-dataurisrc \
	--disable-dccp \
	--disable-debugutils \
	--disable-dtmf \
	--disable-dvdspu \
	--disable-festival \
	--disable-freeze \
	--disable-frei0r \
	--disable-h264parse \
	--disable-hdvparse \
	--disable-id3tag \
	--disable-invtelecine \
	--enable-musepack \
	--disable-jpegformat \
	--disable-librfb \
	--disable-liveadder \
	--disable-mpegdemux \
	--disable-mpegtsmux \
	--disable-mpegpsmux \
	--disable-mpeg4videoparse \
	--disable-mpegvideoparse \
	--disable-mve \
	--disable-mxf \
	--disable-nsf \
	--disable-nuvdemux \
	--disable-pcapparse \
	--disable-pnm \
	--disable-qtmux \
	--disable-rawparse \
	--disable-real \
	--disable-rtpmux \
	--disable-scaletempo \
	--disable-sdp \
	--disable-segmentclip \
	--disable-selector \
	--disable-siren \
	--disable-speed \
	--disable-subenc \
	--disable-stereo \
	--disable-tta \
	--disable-valve \
	--disable-videomeasure \
	--disable-videosignal \
	--disable-vmnc \
	--disable-directsound \
	--disable-directdraw \
	--disable-osx_video \
	--disable-quicktime \
	--disable-vcd \
	--disable-alsa \
	--disable-assrender \
	--disable-amrwb \
	--disable-apexsink \
	--disable-bz2 \
	--disable-cdaudio \
	--disable-celt \
	--disable-cog \
	--disable-dc1394 \
	--disable-directfb \
	--disable-dirac \
	--disable-dts \
	--disable-divx \
	--disable-resindvd \
	--disable-metadata \
	--disable-faac \
	--disable-faad \
	--disable-fbdev \
	--disable-flite \
	--disable-gsm \
	--disable-jack \
	--disable-jp2k \
	--disable-kate \
	--disable-ladspa \
	--disable-lv2 \
	--disable-libmms \
	--disable-modplug \
	--disable-mimic \
	--disable-mpeg2enc \
	--disable-mplex \
	--disable-musicbrainz \
	--disable-mythtv \
	--disable-nas \
	--disable-neon \
	--disable-ofa \
	--disable-oss4 \
	--disable-rtpmanager \
	--disable-rtpmux \
	--disable-rsvg \
	--disable-timidity \
	--disable-wildmidi \
	--disable-sdl \
	--disable-sdltest \
	--disable-sndfile \
	--disable-soundtouch \
	--disable-spc \
	--disable-gme \
	--disable-swfdec \
	--disable-theoradec \
	--disable-xvid \
	--disable-dvb  \
	--disable-wininet \
	--disable-acm \
	--disable-vdpau \
	--disable-schro \
	--disable-zbar \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--enable-experimental

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
    DEB_CONFIGURE_EXTRA_FLAGS += \
       CFLAGS="-DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1"
endif


clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done

common-binary-fixup-arch::
	dh_gstscancodecs

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

UPSTREAM_REF=master
PATCHES_REF=maemo-patches

update-patch-series:
	mkdir -p $(CURDIR)/debian/patches
	rm -f $(CURDIR)/debian/patches/*.patch
	git format-patch -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
		xargs -n 1 basename > $(CURDIR)/debian/patches/series
	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
	do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done

binary-predeb/gstreamer0.10-plugins-musepack::
	maemo-optify

.PHONY: maint
